0

lecroy waveace procedures using 9500 and usbtmc

There exist golden procedures for LeCroy WaveAce PV. These procedures use a special "DOS" executable to communicate with the UUT which is only available under firmware revision 1.01.01.13.

Newer revisions exist that have USBTMC support implemented; for those, a procedure exists, which I wrote, but is not warrented...

I am very unfamiliar with this website, so I will attempt to upload the pkm file below, or in a subsequent post

7 comments

Date Votes
0
Avatar
francois lamarche

I can't find the way to upload a pkm file. Anybody knows if there is a way?

 

0
Avatar
Marcus Flack

Do you want to upload a file to the this site or extract a PKM file using the new MET/CAL 8.0 editor.  If you are running 8.0, use the File, New Project from PKM menu.  This option will generate a project from any PKM that you choose.  

0
Avatar
Chad D.

Hello Francois!  Do you still have my email address?  If so, please send the procedure packages directly to me.  If not, please let me know and I can send you an email that you can reply to.  We would also be interested in obtaining another "loaner" or "demo" WaveAce 234 to use for testing this procedure before releasing the USBTMC version to the MET/CAL Gold Procedure CD.

Thank you,
Chad Dodds

0
Avatar
Don Cleveland

I have a LeCroy Waveace 204 I want to calibrate. I installed the warrented procedure only to find

waveace.exe won't work with the firmware rev installed in the scope. The procedure states it will only work

with Rev 1.01.01.13, and to use the VISA version for all others.

Is there a VISA version of this procedure?

Is there USBTMC compliant firmware for the waveace 204?

Thanks

Don Cleveland

 

0
Avatar
Jeff Stevens

You should check with LeCroy because they have MET/CAL procedures for all their scopes, using 9500B's.

0
Avatar
Chad D.

Hello Don and Jeff, I wrote the existing Gold procedure which, as you found, only supports the initial release of WaveAce firmware.  This was the only firmware available at the time of development, and it was not yet USBTMC compliant.  Fluke is working with LeCroy to obtain the hardware needed to test and release a new VISA version if this procedure to support newer UUT firmwares, and supporting the standard array of Fluke oscilloscope calibrators.

Thank you for your interest!

-Chad

0
Avatar
Don Cleveland

What version of firmware for the Waveace 204 supports USBTMC?

I talked to LeCroy and 1.01.01.18R2 is the latest, and this does not support USBTMC.

Is there a new rev coming out?

Thanks

Don Cleveland

 

Please sign in to leave a comment.